# Forgejo actions base image

Docker image with all dependencies installed, configured to be as close to
GitHub actions as possible.

The CI builds this image on pushes to `main` as `git.pub.solar/pub-solar/actions-base-image:20-bookworm`.

Building the image locally:

```
docker build --tag git.pub.solar/pub-solar/actions-base-image:20-bookworm .
```

Creates a `ci` user with passwordless sudo to enable nix single-user install in a `node:20-bookworm` base image.

See this [GH issue](https://github.com/NixOS/nix/issues/1559) for additional context.
